stages:
  - identificar
  - build
  - deploy
  - test

maquina:
  stage: identificar
  tags:
    - docker
  script:
    - hostname
    - whoami

criando_imagem:
  stage: build
  tags:
    - docker
  script:
    - docker build -t edusaoo/project_cicd:1.0 ./DOCKERFILE
    - docker push

subir_imagem:
  stage: deploy
  needs:
    - criando_imagem
  tags:
    - docker
  script:
    - docker run -dit --name webserver -p 8080:80 edusaoo/project_cicd

testando_aplicação:
  stage: test
  tags:
    - docker
  script:
    - curl localhot:8080